Overview
Get Packages
Return available packages with their base price and extra connection cost.
GET
/
v1
/
packages
Get Packages
curl --request GET \
--url https://api.reselliptv.com/v1/packages \
--header 'x-api-key: <api-key>'import requests
url = "https://api.reselliptv.com/v1/packages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reselliptv.com/v1/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packages": [
{
"id": 1,
"package_name": "Premium",
"duration": 12,
"is_trial": false,
"credits_cost": 15,
"extra_connection_credits_cost": 3,
"min_balance": 1
}
]
}{
"code": "not_authorized",
"message": "Not authorized to perform this action."
}{
"code": "rate_limit",
"message": "Rate limit exceeded."
}{
"code": "server_error",
"message": "Internal server error occurred.",
"requestId": "<string>"
}Authorizations
API Key
Query Parameters
Filter package results by type. Possible values: 'all', 'premium', 'trial'.
Available options:
all, premium, trial Response
Ok: Return available packages and their costs.
Show child attributes
Show child attributes
Last modified on May 22, 2026
⌘I
Get Packages
